package cn.superdesk.uniorder.dao.mapper.accounting.unified.customer;

import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomer;
import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedCustomerMapper {
    long countByExample(AccountingUnifiedCustomerExample example);

    int deleteByExample(AccountingUnifiedCustomerExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedCustomer record);

    int insertSelective(AccountingUnifiedCustomer record);

    List<AccountingUnifiedCustomer> selectByExample(AccountingUnifiedCustomerExample example);

    AccountingUnifiedCustomer selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedCustomer record, @Param("example") AccountingUnifiedCustomerExample example);

    int updateByExample(@Param("record") AccountingUnifiedCustomer record, @Param("example") AccountingUnifiedCustomerExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedCustomer record);

    int updateByPrimaryKey(AccountingUnifiedCustomer record);
}